GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | Friends | List of all members
gridfire::engine::PrimingReport Struct Reference

Captures the result of a network priming operation. More...

`#include <reporting.h>`

Collaboration diagram for gridfire::engine::PrimingReport:
[legend]

## Public Attributes
fourdst::composition::Composition | primedComposition
bool | success
PrimingReportStatus | status

## Friends
std::ostream & | operator<< (std::ostream &os, const PrimingReport &report)
| Serialize the report to a stream.

## Detailed Description

Captures the result of a network priming operation.

Contains the finalized composition, the changes in mass fractions for species, a success flag, and a detailed status code.

Precondition
  A priming algorithm must be executed before constructing a valid report.

Postcondition
  All fields reflect the outcome of the priming run.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PrimingReport & | report
| ) |  |
| friend

Serialize the report to a stream.

Formats the success flag and status string into the output stream.

Parameters

  os | Output stream to write to.
  report | Report to serialize.

Returns
  Reference to the modified output stream.

Postcondition
  The stream contains a textual representation of the report.

## Member Data Documentation

## ◆ primedComposition

fourdst::composition::Composition gridfire::engine::PrimingReport::primedComposition

Finalized composition after priming.

## ◆ status

PrimingReportStatus gridfire::engine::PrimingReport::status

Detailed status code indicating the result.

## ◆ success

bool gridfire::engine::PrimingReport::success

True if priming completed without error.

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/types/reporting.h